installer applet crashed near the end of the install process. I had selected to download updates while installing and I feel this is where the error occured.

Bug #1074355 reported by joesanzone on 2012-11-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned

Bug Description

I'm not really sure about the details as I was not watching the machine. I came back to it with the error message waiting for me.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: ubiquity 2.12.16
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
CasperVersion: 1.328
Date: Fri Nov 2 09:29:21 2012
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

joesanzone (joesanzone) wrote :
Sasa Paporovic (melchiaros) wrote :
Download full text (9.4 KiB)

In UbiquitySyslog.txt:

Nov 2 13:19:18 ubuntu plugininstall.py: Downloads verified successfully
Nov 2 13:19:18 ubuntu plugininstall.py: Exception during installation:
Nov 2 13:19:18 ubuntu plugininstall.py: Traceback (most recent call last):
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 935, in do_install
Nov 2 13:19:18 ubuntu plugininstall.py: fetchprogress, installprogress):
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 872, in commit_with_verify
Nov 2 13:19:18 ubuntu plugininstall.py: res = cache.install_archives(pm, install_progress)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/python3/dist-packages/apt/cache.py", line 444, in install_archives
Nov 2 13:19:18 ubuntu plugininstall.py: res = install_progress.run(pm)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 348, in run
Nov 2 13:19:18 ubuntu plugininstall.py: child_pid = self.fork()
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/python3/dist-packages/apt/progress/base.py", line 211, in fork
Nov 2 13:19:18 ubuntu plugininstall.py: return os.fork()
Nov 2 13:19:18 ubuntu plugininstall.py: OSError: [Errno 12] Cannot allocate memory
Nov 2 13:19:18 ubuntu plugininstall.py:
Nov 2 13:19:18 ubuntu plugininstall.py: During handling of the above exception, another exception occurred:
Nov 2 13:19:18 ubuntu plugininstall.py:
Nov 2 13:19:18 ubuntu plugininstall.py: Traceback (most recent call last):
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 81, in wrapper
Nov 2 13:19:18 ubuntu plugininstall.py: func(self)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 260, in run
Nov 2 13:19:18 ubuntu plugininstall.py: self.install_restricted_extras()
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1229, in install_restricted_extras
Nov 2 13:19:18 ubuntu plugininstall.py: self.do_install(packages)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 954, in do_install
Nov 2 13:19:18 ubuntu plugininstall.py: chroot_cleanup(self.target)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 189, in chroot_cleanup
Nov 2 13:19:18 ubuntu plugininstall.py: chrex(target, 'umount', '/sys')
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 75, in chrex
Nov 2 13:19:18 ubuntu plugininstall.py: return misc.execute('chroot', target, *args)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/misc.py", line 543, in execute
Nov 2 13:19:18 ubuntu plugininstall.py: status = subprocess.call(log_args)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 471, in call
Nov 2 13:19:18 ubuntu plugininstall.py: return Popen(*popenargs, **kwargs).wait()
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/python3.2/subprocess.py", line 745, in __init__
...

Read more...

Sasa Paporovic (melchiaros) wrote :

Hi,

have you tried to install Quantal in VirtualBox4.2.X?

The traces looks simliar to those we have here in VirtualBox installations.

When it is like this, than can not be done much from here.

Please use in this case

https://www.virtualbox.org/wiki/Bugtracker

for reporting there.

Exception during installation:
Nov 2 13:19:18 ubuntu plugininstall.py: Traceback (most recent call last):
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 935, in do_install
Nov 2 13:19:18 ubuntu plugininstall.py: fetchprogress, installprogress):
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 872, in commit_with_verify
Nov 2 13:19:18 ubuntu plugininstall.py: res = cache.install_archives(pm, install_progress)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/python3/dist-packages/apt/cache.py", line 444, in install_archives
Nov 2 13:19:18 ubuntu plugininstall.py: res = install_progress.run(pm)
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 348, in run
Nov 2 13:19:18 ubuntu plugininstall.py: child_pid = self.fork()
Nov 2 13:19:18 ubuntu plugininstall.py: File "/usr/lib/python3/dist-packages/apt/progress/base.py", line 211, in fork
Nov 2 13:19:18 ubuntu plugininstall.py: return os.fork()
Nov 2 13:19:18 ubuntu plugininstall.py: OSError: [Errno 12] Cannot allocate memory
Nov 2 13:19:18 ubuntu plugininstall.py:

tags: added: installer-crash
Changed in ubiquity (Ubuntu):
importance: Undecided → High
Brian Murray (brian-murray) wrote :

This may be a case of the target system not having enough RAM.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers